{
  "name": "stackspin-dashboard",
  "version": "0.1.1",
  "private": true,
  "dependencies": {
    "@craco/craco": "^6.2.0",
    "@headlessui/react": "^1.3.0",
    "@heroicons/react": "^1.0.3",
    "@hookform/resolvers": "^2.6.1",
    "@tailwindcss/forms": "^0.3.3",
    "@tailwindcss/typography": "^0.4.1",
    "@testing-library/jest-dom": "^5.11.4",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "@types/jest": "^26.0.15",
    "@types/node": "^12.0.0",
    "@types/react-dom": "^17.0.0",
    "axios": "^0.21.1",
    "clsx": "^1.1.1",
    "lint-staged": "^11.1.1",
    "lodash": "^4.17.21",
    "prismjs": "^1.24.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-gravatar": "^2.6.3",
    "react-helmet": "^6.1.0",
    "react-hook-form": "^7.22.0",
    "react-hot-toast": "^2.0.0",
    "react-iframe": "^1.8.0",
    "react-markdown": "^7.0.1",
    "react-redux": "^7.2.4",
    "react-router": "6.2.1",
    "react-router-dom": "6.2.1",
    "react-scripts": "4.0.3",
    "react-simple-code-editor": "^0.11.0",
    "react-table": "^7.7.0",
    "redux": "^4.1.0",
    "redux-persist": "^6.0.0",
    "redux-thunk": "^2.3.0",
    "tailwindcss": "npm:@tailwindcss/postcss7-compat",
    "typescript": "^4.1.2",
    "urlcat": "^2.0.4",
    "web-vitals": "^1.0.1",
    "yup": "^0.32.9"
  },
  "scripts": {
    "start": "craco start",
    "build": "craco build",
    "test": "craco test",
    "eject": "react-scripts eject",
    "lint": "eslint ./src --cache --ext .js,.jsx,.ts,.tsx",
    "lint-staged": "lint-staged"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@types/lodash": "^4.14.171",
    "@types/prismjs": "^1.16.6",
    "@types/react": "^17.0.18",
    "@types/react-gravatar": "^2.6.10",
    "@types/react-helmet": "^6.1.2",
    "@types/react-router-dom": "^5.3.3",
    "@types/react-table": "^7.7.2",
    "autoprefixer": "^9",
    "dotenv": "^10.0.0",
    "eslint-config-airbnb": "^18.2.1",
    "eslint-config-airbnb-typescript": "^12.3.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-cypress": "^2.11.3",
    "eslint-plugin-import": "^2.23.4",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^3.4.0",
    "eslint-plugin-promise": "^5.1.0",
    "postcss": "^7",
    "pre-commit": "^1.2.2",
    "prettier": "^2.3.2",
    "sass": "^1.36.0"
  },
  "pre-commit": "lint-staged",
  "lint-staged": {
    "*.{js,ts,tsx}": [
      "prettier --write",
      "eslint --ext .ts,.tsx,.js --max-warnings=3 --fix-dry-run"
    ]
  },
  "eslintIgnore": [
    ".eslintrc.js"
  ],
  "prettier": {
    "overrides": [
      {
        "files": [
          ".prettierrc",
          ".babelrc",
          ".eslintrc"
        ],
        "options": {
          "parser": "json"
        }
      }
    ],
    "singleQuote": true,
    "printWidth": 120,
    "bracketSpacing": true,
    "trailingComma": "all",
    "endOfLine": "lf"
  }
}
